hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Vary (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HIVE-16057) SchemaTool ignores --passWord argument if hadoop.security.credential.provider.path is configured
Date Sat, 04 Mar 2017 21:01:45 GMT

     [ https://issues.apache.org/jira/browse/HIVE-16057?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Peter Vary updated HIVE-16057:
------------------------------
    Status: Patch Available  (was: Reopened)

Forgot to press submit patch button.

Let's see what will happen

> SchemaTool ignores --passWord argument if hadoop.security.credential.provider.path is
configured
> ------------------------------------------------------------------------------------------------
>
>                 Key: HIVE-16057
>                 URL: https://issues.apache.org/jira/browse/HIVE-16057
>             Project: Hive
>          Issue Type: Bug
>    Affects Versions: 2.2.0
>            Reporter: Peter Vary
>            Assignee: Peter Vary
>             Fix For: 2.2.0
>
>         Attachments: HIVE-16057.patch
>
>
> It the {{hadoop.security.credential.provider.path}} is defined in command line, but the
correct {{HADOOP_CREDSTORE_PASSWORD}} is not provided the SchemaTool fails, even if the correct
metastore password is provided with {{--passWord}}
> Could be reproduced if the hive-site.xml contains the following:
> {code}
>   <property>
>     <name>hadoop.security.credential.provider.path</name>
>     <value>localjceks://file//Users/petervary/tmp/conf/creds.localjceks</value>
>   </property>
> {code}
> {code}
> $ ../schemaTool --dbType=mysql --info --passWord=pwd
> Metastore connection URL:	 jdbc:mysql://localhost:3306/hive?useUnicode=true&characterEncoding=UTF-8
> Metastore Connection Driver :	 com.mysql.jdbc.Driver
> Metastore connection User:	 hive
> org.apache.hadoop.hive.metastore.HiveMetaException: Failed to get schema version.
> *** schemaTool failed ***
> {code}
> The {{--passWord}} argument should override the errors from the credential provider



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message